import { FRoot } from "../../mixins/components/f-root/f-root";
export type FSpacerSizeProp = "fill-container" | "x-large" | "large" | "medium" | "small" | "x-small" | `${number}px` | `${number}%` | `${number}vw`;
export declare class FSpacer extends FRoot {
    /**
     * css loaded from scss file
     */
    static styles: import("lit").CSSResult[];
    /**
     * @attribute width of `f-spacer`
     */
    size?: FSpacerSizeProp;
    /**
     * Applying height,width related style, based on size property
     */
    applySize(): void;
    render(): import("lit-html").TemplateResult<1>;
}
/**
 * Required for typescript
 */
declare global {
    interface HTMLElementTagNameMap {
        "f-spacer": FSpacer;
    }
}
